<template>
  <footer class="footer font-footer">
    <footer-navigation />
    <footer-copyright-notice year="2020" />
  </footer>
</template>

<script>
import FooterNavigation from './FooterNavigation';
import FooterCopyrightNotice from './FooterCopyrightNotice';

export default {
  name: 'Footer',
  components: {
    FooterNavigation,
    FooterCopyrightNotice,
  },
};
</script>

<style lang="postcss" scoped>
.footer {
  --footer-px: var(--g-px);
  --footer-text-color: theme('colors.gray.200');
  --footer-item-active-color: theme('colors.orange.500');

  color: var(--footer-text-color);

  & >>> a:hover {
    @apply text-white;
  }

  & >>> .footer-item .active--exact {
    color: var(--footer-item-active-color);
    @apply cursor-default;
  }
}
@screen md {
  .footer {
    --footer-px: var(--g-px-md);
  }
}
@screen lg {
  .footer {
    --footer-px: var(--g-px-lg);
  }
}
@screen xl {
  .footer {
    --footer-px: var(--g-px-xl);
  }
}
</style>
